# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Mon
Version:        0.11
Release:        alt1_12
Summary:        Mon Perl module
License:        GPLv2+
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Mon/
Source0:        http://www.cpan.org/authors/id/T/TR/TROCKIJ/Mon-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Run-time:
BuildRequires:  perl(Convert/BER.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(IO/File.pm)
BuildRequires:  perl(Socket.pm)
BuildRequires:  perl(Text/ParseWords.pm)
# Tests:
BuildRequires:  perl(Data/Dumper.pm)
Source44: import.info

%description
This is the Perl5 module for interfacing with the Mon system monitoring
package. Currently only the client interface is implemented, but more
things like special logging routines and persistent monitors are being
considered.


%prep
%setup -q -n Mon-%{version}


%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}


%install

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%files
%doc CHANGES COPYING COPYRIGHT monperl.prj README VERSION
%{perl_vendor_privlib}/*


%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1_12
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1_11
- update to new release by fcimport

* Wed May 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1_9
- fc import

